# Product Definitions & Fees

## Get Product Definitions

> Get product definitions that are already or could be potentially available for partner

```json
{"openapi":"3.0.1","info":{"title":"Products","version":"1.0"},"tags":[{"name":"Products","description":"Products"}],"servers":[{"url":"https://tvda-api.platform-test.tradevest.ai","description":"Test"},{"url":"https://tvda-api.platform-pretest.tradevest.ai","description":"Pretest"}],"security":[{"Bearer":[]}],"components":{"securitySchemes":{"Bearer":{"type":"oauth2","flows":{"clientCredentials":{"tokenUrl":"/oauth2/token","scopes":{}}}}},"schemas":{"PartnerProductDefinitions":{"title":"PartnerProductDefinitions","type":"object","properties":{"data":{"type":"array","description":"Array of partner product definitions","items":{"$ref":"#/components/schemas/PartnerProductDefinition"}}},"required":["data"]},"PartnerProductDefinition":{"type":"object","properties":{"name":{"type":"string"},"productType":{"$ref":"#/components/schemas/ProductTypeEnum"},"productCode":{"$ref":"#/components/schemas/ProductCodeEnum"},"description":{"type":"string"},"isActive":{"type":"boolean"}},"required":["description","isActive","name","productCode","productType"]},"ProductTypeEnum":{"title":"ProductTypeEnum","type":"string","description":"Product type","enum":["CASH","WALLET","DEPOSITORY"]},"ProductCodeEnum":{"title":"ProductCodeEnum","type":"string","description":"Product code","enum":["WALLET","BALANCE_ACCOUNT","DEPOSITORY_ACCOUNT","CURRENCY_WALLET"]}}},"paths":{"/products":{"get":{"summary":"Get Product Definitions","tags":["Products"],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PartnerProductDefinitions"}}}}},"operationId":"get-product-definitions","description":"Get product definitions that are already or could be potentially available for partner"}}}}
```
